Subject: Re: bug#8267: Acknowledgement (unexec FIXME in src/emacs.c)

From: Paul Eggert <[email-masked]>
Date: Thu, 17 Mar 2011 11:45:18 -0700

On 03/17/2011 11:02 AM, Ken Brown wrote:
> On 3/17/2011 12:54 PM, Paul Eggert wrote:
>> I've committed a patch for this in bzr103679.
>
> In unexec.h you declare unexec() to return void, but in several of the unexec*.c files it has a return type of int.

Thanks for catching that.  I didn't notice that, since I built
on an implementation where it returns void.  I changed the
other implementations to match the new header (bzr 103680).

It might make sense for unexec to return an int, so that Emacs
can report an error (presumably from errno) if unexec fails,
but if this is done it should be done consistently on all
platforms.  The previous code was inconsistent.  The implementations
that returned an int sometimes returned 0 even when there were
problems.